// pages/us/index.js
import {
  ajax
} from "../../utils/util";
Page({
  /**
   * 页面的初始数据
   */
  data: {
    userUrl: wx.getStorageSync('userUrl') || '',
    phone: wx.getStorageSync('phone') || '',
    userGroup: wx.getStorageSync('userGroup') || '',
    baseUrl: __wxConfig.accountInfo.icon || ""
  },

  toLogin() {
    const pages = getCurrentPages();
    const thisPage = pages[pages.length - 1];
    wx.reLaunch({
      url: "/pages/login/index?backurl=" + thisPage.route
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      userUrl: wx.getStorageSync('userUrl') || '',
      phone: wx.getStorageSync('phone') || '',
      userGroup: wx.getStorageSync('userGroup') || '',
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {
    return {
      title: __wxConfig.accountInfo.nickname,
      path: "/pages/index/index"
    }
  }
})